<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
    android:horizontalGap="3dip"
    android:verticalGap="3dip"
    android:keyWidth="25%p"
    android:keyHeight="20%p"
    >

    <Row android:rowEdgeFlags="top">
        <Key android:codes="-9000" android:keyEdgeFlags="left" android:keyIcon="@drawable/sk_keyboard_shift_1" />
        <Key android:codes="65" android:keyLabel="A" />
        <Key android:codes="66" android:keyLabel="B" />
        <Key android:codes="67" android:keyLabel="C" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="68" android:keyLabel="D" android:keyEdgeFlags="left" />
        <Key android:codes="69" android:keyLabel="E" />
        <Key android:codes="70" android:keyLabel="F" />
        <Key android:codes="71" android:keyLabel="G" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="72" android:keyLabel="H" android:keyEdgeFlags="left" />
        <Key android:codes="73" android:keyLabel="I" />
        <Key android:codes="74" android:keyLabel="J" />
        <Key android:codes="75" android:keyLabel="K" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="76" android:keyLabel="L" android:keyEdgeFlags="left" />
        <Key android:codes="77" android:keyLabel="M" />
        <Key android:codes="78" android:keyLabel="N" />
        <Key android:codes="79" android:keyLabel="O" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="80" android:keyLabel="P" android:keyEdgeFlags="left" />
        <Key android:codes="81" android:keyLabel="Q" />
        <Key android:codes="82" android:keyLabel="R" />
        <Key android:codes="83" android:keyLabel="S" android:keyEdgeFlags="right"/>
    </Row>

    <Row>
        <Key android:codes="84" android:keyLabel="T" android:keyEdgeFlags="left" />
        <Key android:codes="85" android:keyLabel="U" />
        <Key android:codes="86" android:keyLabel="V" />
        <Key android:codes="87" android:keyLabel="W" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="88" android:keyLabel="X" android:keyEdgeFlags="left" />
        <Key android:codes="89" android:keyLabel="Y" />
        <Key android:codes="90" android:keyLabel="Z" />
        <Key android:codes="-200000" android:keyLabel="" android:keyEdgeFlags="right" />
    </Row>

    <!--避免row行数与其他键盘函数相同-->
    <Row android:rowEdgeFlags="bottom" android:keyHeight="0dp">
    </Row>

</Keyboard>
